Subject: bug#23406: closed (Re: bug#23406: 25.0.93; autoload cursor-sensor-inhibit)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Apr 2016 15:41:04 +0000

Your bug report

#23406: 25.0.93; autoload cursor-sensor-inhibit

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23406: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23406
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23406: 25.0.93; autoload cursor-sensor-inhibit
From: Leo Liu <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Apr 2016 23:40:46 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2016-04-30 09:30 -0400, Stefan Monnier wrote:
> As much as I hate autoloading variables, I think I agree in this case.
> Please update the isearch.el code accordingly (getting rid of the
> (boundp 'cursor-sensor-inhibit) check).

Done.

Leo

Subject: 25.0.93; autoload cursor-sensor-inhibit
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Sat, 30 Apr 2016 17:41:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Stefan,

I think the variable cursor-sensor-inhibit should be autoloaded. for
example I often see this message:

    isearch-cancel: Symbol’s value as variable is void: cursor-sensor-inhibit

I have also seen it happened in isearch's pre-command-hook.

WDYT?

Leo